html {
    height: 100%;
    width: 100%;
}
body {
    background-image: url("assets/background.webp");
    background-size: cover;
    margin: 0;
    box-sizing: border-box;
    display: flex;
    font-family: sans-serif;
    height: 100%;
    width: 100%;
}

#git {
    position: absolute;
    top: 35px;
    right: 35px;
}
main {
    /* margin: auto 128px 128px; */
    margin: auto;
    padding-top: 2rem;
    display: grid;
    gap: 2rem;
    width: 100%;
    grid-template-rows: 150px 75px auto;
    grid-template-areas:
        ". clock ."
        ". welcome ."
        "boxes boxes boxes";
    color: #cdd6f4;
}

#clock {
    grid-area: clock;
    /* font-family: "Roboto"; */
    font-style: normal;
    font-weight: 400;
    font-size: 128px;
    line-height: 150px;
    text-align: center;
    width: 500px;
    align-items: center;
    text-align: center;
    margin: auto;
}

.item {
    background: #313244;
    border-radius: 14px;
    margin: auto;
    min-width: 500px;
}

#welcome {
    grid-area: welcome;
    display: flex;
    height: 100%;
    width: 100%;
}
#welcome h1 {
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    margin: auto;
}

section {
    grid-area: boxes;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

section h1 {
    font-weight: 700;
    font-size: 32px;
    line-height: 38px;
    color: #b4befe;
    margin-block-start: 0;
}

section > div {
    display: flex;
    flex-direction: column;
    padding: 1rem;
    padding: 36px 36px 80px 36px;
}

section .row2 {
    display: grid;

    grid-template-columns: auto auto;
    gap: 58px;
    padding: 0 10px;
}

.iconWithText {
    display: flex;
    gap: 20px;
}
.list {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

a {
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 24px;
    color: #cdd6f4;
    text-decoration: none;
}
.iconWithText:hover img {
    filter: invert(69%) sepia(16%) saturate(1354%) hue-rotate(185deg)
        brightness(98%) contrast(99%);
}
.iconWithText:hover a {
    color: #89b4fa;
}

@media screen and (min-width: 2300px) {
    body {
        zoom: 1.3;
    }
}
